/**
 * Задача "Степени"
 * 1-я личная интернет-олимпиада сезона 2009-2010.
 * Автор задачи: Владимир Ульянцев, ulyantsev@rain.ifmo.ru
 * Автор решения: Ганеев Рустам, ganeev@rain.ifmo.ru
 *
 *Наивное решение
 */
import java.io.*;
import java.util.*;
import java.math.*;

public class pow_rg_tl implements Runnable {

	public static void main(String[] args) {
		new Thread(new pow_rg_tl()).start();
	}

	BufferedReader br;
	StringTokenizer st;
	PrintWriter out;
	boolean eof = false;
	Random rand = new Random(this.hashCode());

	public void run() {
		Locale.setDefault(Locale.US);
		try {
			br = new BufferedReader(new FileReader(FNAME + ".in"));
			out = new PrintWriter(FNAME + ".out");
			solve();
			out.close();
		} catch (Throwable e) {
			e.printStackTrace();
			System.exit(566);
		}
	}

	String nextToken() {
		while (st == null || !st.hasMoreTokens()) {
			try {
				st = new StringTokenizer(br.readLine());
			} catch (Exception e) {
				eof = true;
				return "0";
			}
		}
		return st.nextToken();
	}

	int nextInt() {
		return Integer.parseInt(nextToken());
	}

	Long nextLong() {
		return Long.parseLong(nextToken());
	}

	void myAssert(boolean u, String message) {

	}

	String FNAME = "pow";

	long k;

	private void solve() throws IOException {
		k = nextLong();
		if (k == 1){
			out.print(11);
			return;
		}
		int ans = 0;
		long minim = (long) Math.pow(10, k - 1) - 1;
		long maxim = (long) Math.pow(10, k) - 1;
		for (long i = 2;; i++) {
			long t = i;
			if (t > maxim)
				break;
			while (t <= maxim) {
				if (t > minim) {
					ans++;
					// out.println(t);
				}
				t *= i;
			}
		}
		out.print(ans);

		// out.print(maxpow);
	}
}

